#!/bin/sh
-: ${GIT_DIR=.git}
+. git-sh-setup-script || die "Not a git archive"
+
old=$(git-rev-parse HEAD)
new=
force=
force=1
;;
*)
- rev=$(git-rev-parse "$arg")
+ rev=$(git-rev-parse --verify --revs-only "$arg")
if [ -z "$rev" ]; then
echo "unknown flag $arg"
exit 1